Change node identifier format
Status: Closed Start date: 2012-02-08

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Story Points:    

Description

New agreed on node identifier format is of form:

urn:node:KNB

See NodeIdentity.txt for description of details.

Subtasks:

Task # 2310: Modify CN.register() to accept passed in node identifier Closed

Task # 2309: Update length of node id in LDAP to 256 chars Closed

Task # 2308: Update metacat to ask user for node id for registration Closed

Task # 2307: Update NodeIdentity.txt documentation Closed

Task # 2311: Update cn-buildout with new urn-style node ids Closed

History

#1 - 2012-02-08 22:50 - Matthew Jones

- Target version set to Sprint-2012.05-Block.1.3

- Position deleted (1)

- Position set to 7

#2 - 2012-02-08 22:51 - Matthew Jones

- Category set to Documentation

- Assignee set to Matthew Jones

#3 - 2012-02-13 18:08 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2012.05-Block.1.3 to Sprint-2012.07-Block.1.4

- Position deleted (10)

#4 - 2012-02-27 18:03 - Dave Vieglais

- Position set to 20

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

- Position deleted (8)

#5 - 2012-03-16 02:28 - Dave Vieglais

- Status changed from In Progress to Closed

urn scheme working well. Remaining, optional activity is to register the "node" schema, but this des not affect the public release of the infrastructure.
